/*
  blas.c
  Ruby/GSL: Ruby extension library for GSL (GNU Scientific Library)
    (C) Copyright 2001-2004 by Yoshiki Tsunesada

  Ruby/GSL is free software: you can redistribute it and/or modify it
  under the terms of the GNU General Public License.
  This library is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY.
*/
#include <gsl/gsl_blas.h>
#include "rb_gsl_common.h"
#include "rb_gsl_array.h"

VALUE mgsl_blas;
void Init_gsl_blas1();
void Init_gsl_blas2();
void Init_gsl_blas3();

void Init_gsl_blas()
{
  mgsl_blas = rb_define_module_under(mgsl, "Blas");

  Init_gsl_blas1();
  Init_gsl_blas2();
  Init_gsl_blas3();
}
